<div class="container" style="margin-top: 70px;">
    <table class="table table-hover">
        <thead>
            <tr>
                <th>#</th>
                <th>Placa</th>
                <th>Ano</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let veiculo of veiculos">

                <td>{{ veiculo.id }}</td>
                <td> {{ veiculo.placa }}</td>
                <td> {{ veiculo.anoFabricacao }}</td>
                <td><button class="btn btn-primary" (click)="selectVeiculo(veiculo)">Mostrar modelo</button></td>
                <td><button class="btn btn-danger" (click)="deleteVeiculo(veiculo.id)">Excluir</button></td>
            </tr>
        </tbody>
    </table>
    <div class="card text-center" *ngIf="veiculoSelecionado">
        <div class="card-header">
            # {{veiculoSelecionado.id}}
        </div>
        <div class="card-block">
            <h4 class="card-title">{{veiculoSelecionado.placa}}</h4>
            <p class="card-text">
                {{veiculoSelecionado.modelo}}
            </p>
        </div>

    </div>

</div>